%define name    ojmixer
%define ver     0.1.0
%define RELEASE 1

Summary:     A mixer application with storable presets.
Name:        ojmixer
Version:     0.1.0
Release:     1
License:     GPL
Group:       Applications/Multimedia
URL:         http://www.chipx86.com/projects/ojmixer/
Source:      %{name}-%{version}.tar.gz
Packager:    Christian Hammond <chipx86@gnupdate.org>
BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%if %{_vendor} != MandrakeSoft
Requires:   gtk2 >= 2.0.0
BuildRequires: libao-devel, gtk2-devel, gtkspell-devel, libtool, audiofile-devel
%else
Requires:   gtk+2.0 >= 2.0.0
BuildRequires: libao-devel, libgtk+2.0_0-devel, gtkspell-devel, libtool, audiofile-devel
%endif

%description
OJ Mixer is a mixer program for Linux, intended for users who wish to
save volume level presets, and switch between them. It was developed for
the staff of Freenode Radio (http://radio.freenode.net/), so that we
don't have to run through level checks, fine-tuning everything before
each show.  However, it is generic enough for others to use as well.


%prep
%setup


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
                                    --bindir=%{_bindir} \
                                    --datadir=%{_datadir} \
                                    --includedir=%{_includedir} \
                                    --libdir=%{_libdir} \
                                    --mandir=%{_mandir} \
                                    --sysconfdir=%{_sysconfdir}

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make prefix=%{buildroot}%{_prefix} bindir=%{buildroot}%{_bindir} \
     datadir=%{buildroot}%{_datadir} includedir=%{buildroot}%{_includedir} \
     libdir=%{buildroot}%{_libdir} mandir=%{buildroot}%{_mandir} \
     sysconfdir=%{buildroot}%{_sysconfdir} \
     install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)

%doc NEWS COPYING AUTHORS
%doc README ChangeLog

%{_bindir}/*
%{_datadir}/pixmaps/oj/*

%changelog
* Fri Jul 25 2003 Christian Hammond <chipx86@gnupdate.org> 0.1.0-1
- Initial public release.
