#ifndef _OJ_MIXERWIN_H_
#define _OJ_MIXERWIN_H_

#include <libojmixer/ojmixer.h>
#include <gtk/gtk.h>
#include "stock.h"

typedef struct
{
	OjMixer *mixer;

	GtkWidget *window;

	GtkWidget *fade_checkbox;
	GtkWidget *no_presets_label;

	GtkWidget *hidden_preset;

	GtkWidget *presets_table;
	GtkWidget *presets_parent;
	GtkWidget *mixer_table;

	GtkWidget *delete_button;
	GtkWidget *new_button;
	GtkWidget *defaults_button;
	GtkWidget *revert_button;
	GtkWidget *save_button;

	GtkWidget *scales[SOUND_MIXER_NRDEVICES];
	GtkWidget *rec_buttons[SOUND_MIXER_NRDEVICES];

	int presets_table_width;
	int presets_table_height;
	int presets_x;
	int presets_y;

	GSList *preset_buttons;

	OjPreset *active_preset;

} OjMixerWindow;

OjMixerWindow *oj_mixer_window_new(OjMixer *mixer);

void oj_mixer_window_destroy(OjMixerWindow *win);

GtkWidget *oj_mixer_window_add_preset(OjMixerWindow *win, OjPreset *preset);

#endif /* _OJ_MIXERWIN_H_ */
